@Echo Basic Regression test against Kermit-20 4.2(174) [2-May-85]
LCLT20:: @CHKPNT LCLT20
@Echo Local Kermit is latest version
@Terminal Ideal
@Get Kermit
@Info Ver
@Start
*Echo Condition Local Kermit-20
*CWD KT:
*
*PWD
*Set Flow None
*Set Prompt "Local-Kermit-20>"
*Set Input Default-Timeout 4.5
*Set Input Timeout-Action Quit 
*Set Input Search-Default "\r\n@"
*Show Input
*Echo Maximum packet length 4.2(174) Supports
*Show 94
*Set 94
!4.2(174) Does not support pseudo-timing, so don't do it locally
!*Time NUL
!*Time Copy NUL PTY
*Log Session KT:K20NOL-SESSION
*Show Line
*Show Packet
*Show Timing
*Show Input
!
!
REMT20:: @CHKPNT LCLT20
!
*Echo Sign into remote system, mount structure, recondition terminal
*Connect pseudo-terminal /stay
*Input
*Echo Note, no password needed for same user id on a pseudo-terminal
*Output "slogin\r"
*Input
*Output "Terminal Ideal\r"
*Input
*Output "sm k20:\r"
*Input
!
!
*Echo Test Input with a great deal of output
*Output "where Kermit Loopback Testing [Batch]\r"
*Input
*Output "Finger\r"
*Input
!
REMK20:: @CHKPNT REMK20
!
*Echo Start Kermit-20 4.2(174) on remote job
!*Echo Can't do this, as it (silently) breaks older Kermit-20's
!*Output "Set NO Control-C-Capability\r"
!*Input
*Output "Get PS:<UNSUPPORTED>Kermit\r"
*Input
*Output "Info Ver\r"
*Input
*Output "Start\r"
*Input  "\r\nKermit-20>"
!
!
*Echo Configure remote Kermit and put into server mode
*Set Input Search-Default "\r\nRemote-Kermit-20>"
*Show Input
*Output "Set Prompt Remote-Kermit-20>\r"
*Input
*Output "Set 94\r"
*Input
!
!4.2(174) Does not support pseudo-timing, so can't do these remotely
!*Output "Time NUL\r"
!*Input
!*Output "Time Copy NUL PTY\r"
!*Input
!
! Don't choke 4.2(174) flushing NAK's, either
!
!*Echo Note subsecond server NAK'ing!!!
!*Output "Set Receive Server-Timeout 0.3333 \r"
!*Input
!
*Output "Set Flow None\r"
*Input
*Output "Show Line\r"
*Input
*Output "Show Timing\r"
*Input
*Output "Show Packet\r"
*Input
!
!
*Output "\rSERVER\r\r"
*Input "BYE" 
*Input "\r\n" 
!
!
! The following commands exercise the remote Kermit in server mode
!
SIMSRV:: @CHKPNT SIMSRV
!
*Echo Simple comands that do not open files
!
!4.2(174) Does not implement PWD
!
!*Remote PWD
!
*Remote Space
!
!
*Echo Remote Help (BASIC)
*Remote Help
*Statistics
!
!
NULTST:: @CHKPNT NULTST
!
*Echo Kermit-20 4.2(174) does not implement NUL:, so don't use it
@GOTO CWDTST
!
*Echo Basic tests against NUL:
*Remote Dir NUL:
*Remote Type NUL:
*Remote Delete NUL:
*Echo NUL: looks deleted, but it's still there
*Remote Dir NUL:
*Remote CWD NUL:
*
*Echo Show that remote Connect to NUL: did nothing
*Remote PWD
*Echo We can get NUL:, but it doesn't get us much
*Get "NUL:" NUL:
*Statistics
!
!
CWDTST:: @CHKPNT CWDTST
!
*Echo Test Changing real directories
*Remote CWD TOMMYT:<OINKY.HOLMES.ADVENTURES>
*
!*Remote PWD
*Remote CWD
*
!*Remote PWD
!
!
FILTST:: @CHKPNT FILTST
!
*Echo Tests with data files
*Remote CWD TOMMYT:<OINKY.WILDE.CANTERVILLE>
*
!
! 4.2(174) Does not implement REMOTE STATUS
!
*Echo This is the Gutenberg ASCII text of The Ghost of Canterville by Oscar Wilde 
*Remote Dir *.TXT.0
PREFIX:: @CHKPNT PREFIX
*GET "GUTENBERG-PREFIX.TXT" NUL:
*Statistics
!*Remote Status
TITLE:: @CHKPNT TITLE
*GET "TITLE-PAGE.TXT" NUL:
*Statistics
!*Remote Status
LIST:: @CHKPNT LIST
*GET "LIST-OF-ILLUSTRATIONS.TXT" NUL:
*Statistics
!*Remote Status
I:: @CHKPNT I
*GET "I.TXT" NUL:
*Statistics
!*Remote Status
II:: @CHKPNT II
*GET "II.TXT" NUL:
*Statistics
!*Remote Status
III:: @CHKPNT III
*GET "III.TXT" NUL:
*Statistics
!*Remote Status
IV:: @CHKPNT IV
*GET "IV.TXT" NUL:
*Statistics
!*Remote Status
V:: @CHKPNT V
*GET "V.TXT" NUL:
*Statistics
!*Remote Status
VI:: @CHKPNT VI
*GET "VI.TXT" NUL:
*Statistics
!*Remote Status
VII:: @CHKPNT VII
*GET "VII.TXT" NUL:
*Statistics
!*Remote Status
POSTFX:: @CHKPNT POSTFX
*GET "GUTENBERG-POSTFIX-AND-LICENSE.TXT" NUL:
*Statistics
!*Remote Status
*Remote CWD
*
!*Remote PWD
!
!
DONE:: @CHKPNT DONE
*Echo Done with remote tests, exit the remote Kermit
*Finish
*Set Input Default-Timeout 20
*Set Input Search-Default "\r\n@"
*Show Input
*Output "\R"
*Input
*Clear/Peek
!
FINREM:: @CHKPNT FINREM
!
*Echo Show Remote Processor Time Used
*Output "Info Fork\R"
*Input
*Echo Log the remote job out
*Output "Logout\R"
*Input "Used"
*Input "\r\n"
!
!
FINLCL:: @CHKPNT FINLCL
!
*Echo Finish up and close out the local Kermit
*Clear /Display
*Show Line
*Close Session
*Connect Close
*echo No terminal fork to kill since never started one
*echo Connect Kill
*Quit
@Info Fork
!
!
@Echo That's all Folks!
